package com.scpyun.platform.jilinsscgsdp.bean.vo;

import com.scpyun.base.bean.User;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 新增超期预警管理配置vo
 *
 * @Author liujunyan
 */
public class JlEventOverdueWarningConfigInsertVo {

    @NotBlank
    private String riskType1;//风险类型
    @NotNull
    private Integer yellowWarnDays1;//黄灯预警天数
    @NotNull
    private Integer redWarnDays1;//红灯预警天数
    @NotBlank
    private String riskType2;//风险类型
    @NotNull
    private Integer yellowWarnDays2;//黄灯预警天数
    @NotNull
    private Integer redWarnDays2;//红灯预警天数
    @NotBlank
    private String riskType3;//风险类型
    @NotNull
    private Integer yellowWarnDays3;//黄灯预警天数
    @NotNull
    private Integer redWarnDays3;//红灯预警天数

    private User _user;

    public String getRiskType1() {
        return riskType1;
    }

    public void setRiskType1(String riskType1) {
        this.riskType1 = riskType1;
    }

    public Integer getYellowWarnDays1() {
        return yellowWarnDays1;
    }

    public void setYellowWarnDays1(Integer yellowWarnDays1) {
        this.yellowWarnDays1 = yellowWarnDays1;
    }

    public Integer getRedWarnDays1() {
        return redWarnDays1;
    }

    public void setRedWarnDays1(Integer redWarnDays1) {
        this.redWarnDays1 = redWarnDays1;
    }

    public String getRiskType2() {
        return riskType2;
    }

    public void setRiskType2(String riskType2) {
        this.riskType2 = riskType2;
    }

    public Integer getYellowWarnDays2() {
        return yellowWarnDays2;
    }

    public void setYellowWarnDays2(Integer yellowWarnDays2) {
        this.yellowWarnDays2 = yellowWarnDays2;
    }

    public Integer getRedWarnDays2() {
        return redWarnDays2;
    }

    public void setRedWarnDays2(Integer redWarnDays2) {
        this.redWarnDays2 = redWarnDays2;
    }

    public String getRiskType3() {
        return riskType3;
    }

    public void setRiskType3(String riskType3) {
        this.riskType3 = riskType3;
    }

    public Integer getYellowWarnDays3() {
        return yellowWarnDays3;
    }

    public void setYellowWarnDays3(Integer yellowWarnDays3) {
        this.yellowWarnDays3 = yellowWarnDays3;
    }

    public Integer getRedWarnDays3() {
        return redWarnDays3;
    }

    public void setRedWarnDays3(Integer redWarnDays3) {
        this.redWarnDays3 = redWarnDays3;
    }

    public User get_user() {
        return _user;
    }

    public void set_user(User _user) {
        this._user = _user;
    }
}
